Create a quota
POST
/v1/projects/{projectId}/collection-orders/{orderId}/quotascurl -X POST 'https://api.embodiflow.io/v1/projects/{projectId}/collection-orders/{orderId}/quotas' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"taskId": "00000000-0000-0000-0000-000000000000",
"sceneId": "00000000-0000-0000-0000-000000000000",
"targetHours": 0,
"targetSubmissions": 0,
"perCollectorCap": 0
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- orderIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- taskIdstring (uuid)必填
- sceneIdstring (uuid) | null
- targetHoursnumber | null
- targetSubmissionsnumber | null
- perCollectorCapnumber | null
响应
Success
- dataobject必填
- idstring必填
- orderIdstring必填
- taskIdstring必填
- sceneIdstring | null必填
- targetHoursnumber | null必填
- targetSubmissionsnumber | null必填
- perCollectorCapnumber | null必填
- createdAtstring必填
- updatedAtstring必填
- rowVersionnumber必填
响应示例
{
"data": {
"id": "string",
"orderId": "string",
"taskId": "string",
"sceneId": "string",
"targetHours": 0,
"targetSubmissions": 0,
"perCollectorCap": 0,
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1